- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

# IpePdfFile Class Reference
[Ipe Base]

All information obtained by parsing a PDF file. More...

List of all members.

## Public Member Functions

- IpePdfFile ()
- bool Parse (IpeDataSource &source)
- const IpePdfObj * Object (int num) const
- const IpePdfDict * Catalog () const
- const IpePdfDict * Page () const

## Detailed Description

All information obtained by parsing a PDF file.

## Constructor & Destructor Documentation

IpePdfFile::IpePdfFile | ( |  | ) |

Create empty container.

## Member Function Documentation

bool IpePdfFile::Parse | ( | IpeDataSource & | source | ) |

Parse entire PDF stream, and store objects.

const IpePdfObj * IpePdfFile::Object | ( | int | num | ) | const

Return object with number num.

const IpePdfDict * IpePdfFile::Catalog | ( |  | ) | const

Return root catalog of PDF file.

const IpePdfDict * IpePdfFile::Page | ( |  | ) | const

Return first page of the document.

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp